Skip to main content
GET
/
api
/
v2
/
integration-capabilities
/
featureStore
/
{projectKey}
/
{environmentKey}
Get delivery configurations by environment
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/integration-capabilities/featureStore/{projectKey}/{environmentKey} \
  --header 'Authorization: <api-key>'
{
  "_links": {
    "self": {
      "href": "<string>",
      "type": "<string>"
    },
    "parent": {
      "href": "<string>",
      "type": "<string>"
    }
  },
  "items": [
    {
      "_links": {
        "self": {
          "href": "<string>",
          "type": "<string>"
        },
        "parent": {
          "href": "<string>",
          "type": "<string>"
        },
        "project": {
          "href": "<string>",
          "type": "<string>"
        },
        "environment": {
          "href": "<string>",
          "type": "<string>"
        }
      },
      "_id": "12ab3c4d5ef1a2345bcde67f",
      "integrationKey": "example-integration-key",
      "projectKey": "default",
      "environmentKey": "development",
      "config": {},
      "on": true,
      "tags": [],
      "name": "Development environment configuration",
      "version": 1,
      "_access": {
        "denied": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ],
        "allowed": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ]
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

Response

Integration delivery configuration collection response

The location and content type of related resources

items
object[]
required

An array of integration delivery configurations